defmodule Op.Base.Queri do
  use Ecto.Schema
  import Ecto.Changeset

  schema "queries" do
    field :code, :string
    field :label, :string
    field :signed, :string
    field :cache, :string
    field :source, :string
    field :lang, :string
    field :applies, :utc_datetime
    field :expires, :utc_datetime
    field :chronology, :string

    timestamps(type: :utc_datetime)
  end

  @doc false
  def changeset(queri, attrs) do
    queri
    |> cast(attrs, [:label, :source, :code, :lang, :applies, :expires, :cache, :chronology, :signed])
    |> validate_required([:label, :source, :code, :lang, :signed])
  end
end
