defmodule Op.Page do
  @enforce_keys [:key, :composer, :name, :body, :summary, :labels, :day, :id]
  defstruct [:key, :composer, :name, :body, :summary, :labels, :day, :public, :id, :sequence]

  def read(node = [_,_,_]), do: read(node, 0)
  def read([clock, key, node], sequence) do
    # sequence |> IO.inspect(label: "#")
    # clock |> IO.inspect(label: ":")

    case (node |> YamlFrontMatter.parse_file) do

      {:ok, angles, body} ->
        struct!(Op.Page, %{
          key: key, id: key, sequence: sequence,
          day: clock, body: body, public: true,
        } |> Map.merge(
          for {key, shape} <- angles, into: %{}, do: { key |> String.to_atom, shape }
        ))

      _ ->
        struct!(Op.Page, %{
          key: key,
          id: key,
          sequence: sequence,
          summary: "[oops] problem reading page on disc.",
          day: clock,
          body: "oops",
          public: true,
        })

    end
  end
end
