defmodule OpWeb.Chronicle.Show do
  alias Phoenix.LiveView.JS
  import LiveMotion
  use OpWeb, :live_view

  @impl true
  def mount(_params, _session, socket) do
    {:ok, socket}
  end

  @impl true
  def handle_params(%{"key" => key}, _, socket) do
    JS.dispatch(%JS{}, "live_motion:hide", to: "#dump")

    {:noreply,
      socket
      |> assign(:page_title, key <> " | Operand Chronicle")
      |> assign(:page, Press.page_by_key!(key))}
  end
end
