defmodule OpWeb.Domain.Index do
  # import LiveMotion
  alias OpWeb.Gram.Base
  use OpWeb, :live_view

  @impl true
  def mount(_params, _session, socket) do
    # (socket |> get_connect_params)["colorscheme"] |> IO.inspect

    {:ok, socket
    |> stream_configure(:chronicles, dom_id: &("chronicle-#{&1.day}.#{&1.key}"))
    |> stream_configure(:issues, dom_id: &("issue-#{&1.day}.#{&1.key}"))
    |> stream(:chronicles, Press.query_pages)
    |> stream(:issues, Issue.query_issues)
    }
  end

  @impl true
  def handle_params(params, _url, socket) do
    {:noreply, apply_action(socket, socket.assigns.live_action, params)}
  end

  defp apply_action(socket, :index, _params) do
    socket
    |> assign(:page_title, "Chronicles")
    |> assign(:chronicle, nil)
  end
end
