defmodule OpWeb.Gram.Base do
  # import LiveMotion
  use OpWeb, :live_view
  @base System.get_env("GRAM_BASE")

  @impl true
  def mount(_params, _session, socket) do
    # (socket |> get_connect_params)["colorscheme"] |> IO.inspect
    {:ok, socket}
  end

  @impl true
  def handle_params(%{"base" => base}, _, socket) do
    {:noreply,
      socket
      |> assign(:page_title, "gram:" <> base <> " | Operand")
      |> assign(:base, base)
    }
  end

  def index do
    @base |> Path.absname |> File.ls!
    |> Enum.filter(& File.exists?(@base <> &1 <> "/.git"))
  end

  def nodes(base) do
    Git.new(@base <> base) |> Git.ls_files() |> elem(1) |> String.trim |> String.split("\n")
  end
end
