defmodule OpWeb.Gram.Node do
  # import LiveMotion
  use OpWeb, :live_view
  @base System.get_env("GRAM_BASE")

  @lenses %{
    "md" => ~w[ a b c ],
  }

  @impl true
  def mount(_params, _session, socket) do
    # (socket |> get_connect_params)["colorscheme"] |> IO.inspect
    {:ok, socket}
  end

  @impl true
  def handle_params(%{"base" => base, "address" => address}, _, socket) do
    "." <> shape = address |> Path.extname
    {:noreply,
      socket
      |> assign(:page_title, "gram:" <> base <> " | Operand")
      |> assign(:base, base)
      |> assign(:address, address |> Enum.join("/"))
      |> assign(:shape, shape)
      |> assign(:lenses, @lenses |> Map.get(shape) || [])
    }
  end

  def blob(base, address, branch \\ "main") do
    case Git.new(@base <> base) |> Git.cat_file(["blob", "#{branch}:#{address}"]) do
      {:error, response } -> response.message |> IO.inspect(label: "Error reading node")
      {:ok, blob } -> blob
    end
  end
end
