---
composer: c4lliope
name: "2024-05: Company Calendar"
summary: Open para business.
labels:
  - calendar
public: false
---

Operand heard back from DC regarding our incorporación on Apr 24, a Wednesday.
Since then, some operations are already beginning.
Here is an opening page in a series of monthly logbooks.

# Backlog: April

---
## 24 Wednesday

Many phone calls in the morning, making a sounding-board backdrop for the day to come.

By coincidence, Carolina had planned to drop by Calliope's place to pick up some gear.
As she'd been inbound, the email came in announcing our legal upgrade.
Once we finished picking through small cases of consumer machines,
we had a small celebration in the guise of kicking a soccer ball to Union Station.

---
## 25

A small day of collaboración and preparación, inside HacDC.
Concluded by picking up Chipotle, and discussing many ideas in the cab.

---
## 26 Friday

Calli had been back inside HacDC,
helping the club's secretary spin up a rack-mounted 4-processor machine,
and changing the club's connección to the mobile 5g signal.

---
## 27

Calli expended many hours of coding to make necessary upgrades on `chesapeake`,
her main programming machine running on [NixOS]; roughly 20:00 -> 24:00.

[NixOS]: https://nixos.org

---
## 28 Sunday

Calli had pledged to a number of people to be around Upshur Park,
to see the neighborhood around a building for sale -
possible location for a shared engineering lab someday.

Seems like no one else had a chance to come by,
so Calli had been able to go around making small repairs in HacDC,
and keep rearranging inside the pickup cab.

---
## 29

Monday, marking the day Carolina began as a company employee.
In the morning Calli hooked up our mail domain [picogr.am],
so as to run the company's email domain.
Prepared and messaged many [onboarding links].

Beginning near the end of many people's normal hours,
Carolina and I came across each other in Lafayette Park,
hopping around parking signage and secret service officers keeping peace.

Ordered Carolina's company code-book; a 13" Framework laptop
super similar to Calliope's 2-year old model.
Carolina's bears a more modern AMD Ryzen processor,
and there seem to be enough expansion cards in the order to go around.

Once decided on some additional gear, Calliope made a MicroCenter run again.
Main purchases had been a nice 27" display, and a 4-port HDMI KVM by IOGear.

In MicroCenter Calli also came across a car-outlet DC - DC variable-voltage barrel-pin plug.
In case you're unsure how to read this; see May 2.

[picogr.am]: https://picogr.am
[onboarding links]: /chronicle/mobile-eng-aboard

---
## 30

A marathon of bureaucracy in Calli's home base,
primarily concerned by the opening of a bank account for Operand Company.
Pulling up the required company background had
only been a minor hassle among a dozen email inboxes.

Our bank application came back as a denial inside of 30 minutes,
inspiring one to inquire if publicizing [a plan to rapid-fire payroll](/chronicle/corporal)
is a genre of nonfiction that bankers are appalled by.

In a saddened mood Calli ignored prior plans around DC,
and decided to end a long run of dismay surrounding the poor shape of our domains.
Endlessly annoyed by the arcane recipes required to share codebases
through management layers like [gitea] and [gitlab],
Calli decided each of these premier open-source programs
are both misleadingly nice and essencially unnecessary.

The day concluded in an innocuous sharing of a couple links;
see [#domain>"replacing broken codebase links"][04-30.zulip] on Zulip.

* [hex/blade]  - an aspiring modern scraping engine in elixir.
* [code/build] - a basis for a hypermodern programming machine.
* [code/share] - a horribly simple online file share based on [sfz].

[hex/blade]: https://share.operand.space/hex/blade/doc/readme.html
[code/build]: https://share.operand.space/code/build/doc
[code/share]: https://share.operand.space/code/share/doc

[gitea]: https://about.gitea.com
[gitlab]: https://about.gitlab.com
[04-30.zulip]: https://labori.us/#narrow/stream/4-domain/topic/replacing.20broken.20codebase.20links.2E

[sfz]: https://github.com/weihanglo/sfz

# Log: May

---
## 01

Seemingly, the prior day's links made no big splash,
meaning they surely had been under-hyped.
Each of those three prior links ^ leads the click-er
to a page describing a codebase.

In our case, these codebases are called "code drops".
They are packaged and shared (partially) using `git`,
though they are copyable using only normal HTTP.
Since no git binary is required, no SSH access is either.

Since this is the case, there also seems to be no need to rely
on the many minor headaches underlying [gitea] and [gitlab];
one issue being that these drops are only open to changes
from someone assigned proper permissions on necessary machines.

This is likely a super-niche approach to sharing codebases,
though in our case has been a necessary and pleasing one.

As you can see on [hex/blade],
the code drop includes compiled pages,
alongside copyable source code.
Our main publicación challenge has been reduced,
to compiling all our programs as single-page bundles.

---
## 02

As the prior day ended in a rushed exchange of gear to MicroCenter,
and a couple errands remained to be managed around Maryland and Northern Virginia,
Calli parked the pickup in the MicroCenter lot and napped through the night.

Upon rising early in the morning,
used the DC - DC barrel pin plug to energize the 88-key Yamaha keyboard.
Music spun up quickly and simply,
and aside from the keyboard's bulk is going to be a nice and calming addition to the cab.

Inside Falls Church's Compass Coffee shop,
Calli recorded the prior days' calendar logs and prepared for more small gear aquisicións,
in both MicroCenter and Dominion Camera nearby.

Since banking seems to be a pressing issue,
Calli is closing all accounts linked to Assemble Company business;
the balance is roughly $2,700.

During an upcoming physical account closure here in DC,
Assemble Company's remaining balance is going to be made as cashier's checks,
designed around our engineers' $809 weekly pay.
The number $809 has been chosen because once the IRS has a slice,
each of us can bring home $750 per week.

> ....

* back home, and cleaned up and cooked a bunch.
* crunched up some shipping skids in my building's alley.
* republished our corporación's papers on our company domain.
* double-checked. piano plus pickup plus DC barrel-pin changer does equal piano car.

---
## 03 Friday

<!--
---
## 04

---
## 05

---
## 06

---
## 07

---
## 08

---
## 09

---
## 10

---
## 11

---
## 12

---
## 13

---
## 14

---
## 15

---
## 16

---
## 17

---
## 18

---
## 19

---
## 20

---
## 21

---
## 22

---
## 23

---
## 24

---
## 25

---
## 26

---
## 27

---
## 28

---
## 29

---
## 30

-->

---

More is happening soon!
